import request from '../common/utils/request'

// 签卡申请-列表查询
export function getRegistrationCardList(query) {
  return request({
    url: '/attendance/attMobile/getRegistrationCardList',
    method: 'get',
    params: query
  })
}

// 签卡申请-详情
export function getRegistrationCardDetail(id) {
  return request({
    url: '/attendance/attMobile/getRegistrationCardDetail/' + id,
    method: 'get'
  })
}

// 签卡申请-提交
export function registrationCard(data) {
  return request({
    url: '/attendance/attMobile/registrationCard',
    method: 'post',
    data: data
  })
}

// 签卡申请-修改
export function updateTAttRegistrationCard(data) {
  return request({
    url: '/attendance/attMobile/updateTAttRegistrationCard',
    method: 'post',
    data: data
  })
}